routes/web.php
<?php

use App\Http\Controllers\CategoriesController;
use App\Http\Controllers\ClaimsController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', [CategoriesController::class, 'index']);

Route::resource('page', PagesController::class);

Route::resource('categories', CategoriesController::class)->only('index', 'show');

Route::resource('books.claims', ClaimsController::class);

Route::post('books.claims', [ClaimsController::class, 'store']);

Route::get('/users/register', [UsersController::class, 'register'])->name('users.register');
Route::post('/users', [UsersController::class, 'store'])->name('users.store');


Route::get('/login', [App\Http\Controllers\SessionsController::class, 'create'])->name('sessions.login');
Route::post('/login', [App\Http\Controllers\SessionsController::class, 'store'])->name('sessions.store');
Route::delete('/logout', [App\Http\Controllers\SessionsController::class, 'destroy'])->name('sessions.delete');

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Category extends Model
{
    use HasFactory;

    /**
     * @var string[]
     */
    protected $fillable = ['title'];


    /**
     * @return HasMany
     */
    public function books(): HasMany
    {
        return $this->hasMany(Book::class);
    }
}

app/Http/Controllers/CategoriesController.php
<?php

namespace App\Http\Controllers;

use App\Models\Book;
use App\Models\Category;
use Illuminate\Contracts\Foundation\Application;
use Illuminate\Contracts\View\Factory;
use Illuminate\Contracts\View\View;
use Illuminate\Http\Request;

class CategoriesController extends Controller
{


    /**
     * @return Application|Factory|View
     */
    public function index()
    {
        $categories = Category::all();
        $books  = Book::paginate(8);

        return view('categories.index', compact('categories', 'books'));
    }


    /**
     * @param Category $category
     * @return Application|Factory|View
     */
    public function show(Category $category)
    {
        return view('categories.show', compact('category'));
    }

}

resources/views/categories/index.blade.php
@extends('layouts.base')
@section('content')
    @include('notifications.alerts')


    @foreach($categories as $category)

        <h3>{{$category->title}}</h3>

        <div class="row">
            @foreach($books as $book)

                @if($category->id == $book->category_id)
                    <div class="col">
                        <div class="card mb-3" style="max-width: 540px;">
                            <div class="row no-gutters">
                                <div class="col-md-4">
                                    <img src="{{asset('/storage/' . $book->picture)}}" class="img-thumbnail"
                                         alt="{{asset('/storage/' . $book->picture)}}"
                                         style="width:100px;height:100px;">
                                </div>
                                <div class="col-md-8">
                                    <div class="card-body">
                                        <h5 class="card-title">{{$book->author}}</h5>
                                        <h5 class="card-title">{{$book->title}}</h5>
                                    </div>
                                </div>
                                @if($book->status == 'receive')
                                    <div class="col-md-8">
                                        <div class="card-body">
                                            <a class="btn btn-primary"
                                               href={{route('books.claims.create', ['book' => $book])}}>Receive</a>
                                        </div>
                                    </div>
                                @elseif($book->status == 'expected')
                                    <div class="col-md-8">
                                        <div class="card-body">
                                            <p>Expected</p>
                                            <p>{{date($book->return_date)}}</p>
                                        </div>
                                    </div>

                                @endif
                            </div>
                        </div>
                    </div>
                @endif
            @endforeach
        </div>

    @endforeach
    <div class="row justify-content-md-center p-5">
        <div class="col-md-auto">
            {{ $books->links('pagination::bootstrap-4') }}
        </div>
    </div>


@endsection